=== debian/changelog ===
libiterator-breakon-perl (0.4) unstable; urgency=low

  * Bug fixes release
  * Minor changes in test scripts about wrong number of parameters and so.

 -- Victor Moral <victor@taquiones.net>  Tue, 16 Oct 2007 12:16:57 +0200

libiterator-breakon-perl (0.3) unstable; urgency=low

  * New module for event objects management.
  * Minor bugfixes in documentation and code.
  * New dependency on libclass-accessor-perl

 -- Victor Moral <victor@taquiones.net>  Wed, 25 Apr 2007 10:47:32 +0200

libiterator-breakon-perl (0.2) unstable; urgency=low

  * Added a file for dh_installexamples

 -- Victor Moral <victor@taquiones.net>  Tue, 24 Apr 2007 09:26:06 +0200

libiterator-breakon-perl (0.1) unstable; urgency=low

  * Initial Release.

 -- Victor Moral <victor@taquiones.net>  Mon, 23 Apr 2007 12:15:21 +0200
